import * as React from "react";
import { CSSProperties } from "react";
interface DialogOptions {
    initialOpen?: boolean;
    open?: boolean;
    onOpenChange?: (open: boolean) => void;
    modal?: boolean;
}
export declare function useDialog({ initialOpen, modal, open: controlledOpen, onOpenChange: setControlledOpen }?: DialogOptions): {
    labelId: string;
    descriptionId: string;
    setLabelId: React.Dispatch<React.SetStateAction<string>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string>>;
    modal: boolean;
    placement: import("@floating-ui/react").Placement;
    strategy: import("@floating-ui/react").Strategy;
    middlewareData: import("@floating-ui/react").MiddlewareData;
    x: number;
    y: number;
    update: () => void;
    reference: (node: import("@floating-ui/react").ReferenceType) => void;
    floating: (node: HTMLElement) => void;
    positionReference: (node: import("@floating-ui/react").ReferenceType) => void;
    context: import("@floating-ui/react").FloatingContext<import("@floating-ui/react").ReferenceType>;
    refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    isPositioned: boolean;
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
};
export declare const useDialogState: () => {
    labelId: string;
    descriptionId: string;
    setLabelId: React.Dispatch<React.SetStateAction<string>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string>>;
    modal: boolean;
    placement: import("@floating-ui/react").Placement;
    strategy: import("@floating-ui/react").Strategy;
    middlewareData: import("@floating-ui/react").MiddlewareData;
    x: number;
    y: number;
    update: () => void;
    reference: (node: import("@floating-ui/react").ReferenceType) => void;
    floating: (node: HTMLElement) => void;
    positionReference: (node: import("@floating-ui/react").ReferenceType) => void;
    context: import("@floating-ui/react").FloatingContext<import("@floating-ui/react").ReferenceType>;
    refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    isPositioned: boolean;
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
} & {
    setLabelId: React.Dispatch<React.SetStateAction<string | undefined>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string | undefined>>;
};
export declare function Dialog({ children, ...options }: {
    children: React.ReactNode;
} & DialogOptions): import("@emotion/react/jsx-runtime").JSX.Element;
interface DialogTriggerProps {
    children: React.ReactNode;
    asChild?: boolean;
}
export declare const DialogTrigger: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLElement> & DialogTriggerProps, "ref"> & React.RefAttributes<HTMLElement>>;
interface OverlayOptions {
    layStyle?: CSSProperties;
}
export declare const DialogContent: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLDivElement> & OverlayOptions, "ref"> & React.RefAttributes<HTMLDivElement>>;
interface DialogHeadingOptions {
    asChild?: boolean;
    closeStyle?: CSSProperties;
}
export declare const DialogHeading: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLHeadingElement> & DialogHeadingOptions, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
export declare const DialogDescription: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLParagraphElement>, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
export declare const DialogClose: React.ForwardRefExoticComponent<React.ButtonHTMLAttributes<HTMLButtonElement> & React.RefAttributes<HTMLButtonElement>>;
export {};
