import * as React from "react";
import { Placement } from "@floating-ui/react";
interface PopoverOptions {
    initialOpen?: boolean;
    placement?: Placement;
    modal?: boolean;
    open?: boolean;
    onOpenChange?: (open: boolean) => void;
    fixed?: boolean;
}
export declare function usePopover({ initialOpen, placement, modal, open: controlledOpen, fixed, onOpenChange: setControlledOpen }?: PopoverOptions): {
    modal: boolean;
    labelId: string;
    descriptionId: string;
    setLabelId: React.Dispatch<React.SetStateAction<string>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string>>;
    placement: Placement;
    strategy: import("@floating-ui/react").Strategy;
    middlewareData: import("@floating-ui/react").MiddlewareData;
    x: number;
    y: number;
    update: () => void;
    reference: (node: import("@floating-ui/react").ReferenceType) => void;
    floating: (node: HTMLElement) => void;
    positionReference: (node: import("@floating-ui/react").ReferenceType) => void;
    context: import("@floating-ui/react").FloatingContext<import("@floating-ui/react").ReferenceType>;
    refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    isPositioned: boolean;
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
};
export declare const PopoverContext: React.Context<{
    modal: boolean;
    labelId: string;
    descriptionId: string;
    setLabelId: React.Dispatch<React.SetStateAction<string>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string>>;
    placement: Placement;
    strategy: import("@floating-ui/react").Strategy;
    middlewareData: import("@floating-ui/react").MiddlewareData;
    x: number;
    y: number;
    update: () => void;
    reference: (node: import("@floating-ui/react").ReferenceType) => void;
    floating: (node: HTMLElement) => void;
    positionReference: (node: import("@floating-ui/react").ReferenceType) => void;
    context: import("@floating-ui/react").FloatingContext<import("@floating-ui/react").ReferenceType>;
    refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    isPositioned: boolean;
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
} & {
    setLabelId: React.Dispatch<React.SetStateAction<string | undefined>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string | undefined>>;
}>;
export declare const usePopoverState: () => {
    modal: boolean;
    labelId: string;
    descriptionId: string;
    setLabelId: React.Dispatch<React.SetStateAction<string>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string>>;
    placement: Placement;
    strategy: import("@floating-ui/react").Strategy;
    middlewareData: import("@floating-ui/react").MiddlewareData;
    x: number;
    y: number;
    update: () => void;
    reference: (node: import("@floating-ui/react").ReferenceType) => void;
    floating: (node: HTMLElement) => void;
    positionReference: (node: import("@floating-ui/react").ReferenceType) => void;
    context: import("@floating-ui/react").FloatingContext<import("@floating-ui/react").ReferenceType>;
    refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    isPositioned: boolean;
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
} & {
    setLabelId: React.Dispatch<React.SetStateAction<string | undefined>>;
    setDescriptionId: React.Dispatch<React.SetStateAction<string | undefined>>;
};
export declare function Popover({ children, modal, ...restOptions }: {
    children: React.ReactNode;
} & PopoverOptions): import("@emotion/react/jsx-runtime").JSX.Element;
interface PopoverReferProps {
    children: React.ReactNode;
    asChild?: boolean;
}
export declare const PopoverRefer: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLElement> & PopoverReferProps, "ref"> & React.RefAttributes<HTMLElement>>;
export declare const PopoverContent: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
export declare const PopoverHeading: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLHeadingElement>, "ref"> & React.RefAttributes<HTMLHeadingElement>>;
export declare const PopoverDescription: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLParagraphElement>, "ref"> & React.RefAttributes<HTMLParagraphElement>>;
export declare const PopoverClose: React.ForwardRefExoticComponent<React.ButtonHTMLAttributes<HTMLButtonElement> & React.RefAttributes<HTMLButtonElement>>;
export {};
