import * as React from "react";
import type { Placement } from "@floating-ui/react";
interface TooltipOptions {
    initialOpen?: boolean;
    placement?: Placement;
    open?: boolean;
    onOpenChange?: (open: boolean) => void;
}
export declare function useTooltip({ initialOpen, placement, open: controlledOpen, onOpenChange: setControlledOpen }?: TooltipOptions): {
    placement: Placement;
    strategy: import("@floating-ui/react").Strategy;
    middlewareData: import("@floating-ui/react").MiddlewareData;
    x: number;
    y: number;
    update: () => void;
    reference: (node: import("@floating-ui/react").ReferenceType) => void;
    floating: (node: HTMLElement) => void;
    positionReference: (node: import("@floating-ui/react").ReferenceType) => void;
    context: import("@floating-ui/react").FloatingContext<import("@floating-ui/react").ReferenceType>;
    refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    isPositioned: boolean;
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
};
export declare const useTooltipState: () => {
    placement: Placement;
    strategy: import("@floating-ui/react").Strategy;
    middlewareData: import("@floating-ui/react").MiddlewareData;
    x: number;
    y: number;
    update: () => void;
    reference: (node: import("@floating-ui/react").ReferenceType) => void;
    floating: (node: HTMLElement) => void;
    positionReference: (node: import("@floating-ui/react").ReferenceType) => void;
    context: import("@floating-ui/react").FloatingContext<import("@floating-ui/react").ReferenceType>;
    refs: import("@floating-ui/react").ExtendedRefs<import("@floating-ui/react").ReferenceType>;
    elements: import("@floating-ui/react").ExtendedElements<import("@floating-ui/react").ReferenceType>;
    isPositioned: boolean;
    getReferenceProps: (userProps?: React.HTMLProps<Element>) => Record<string, unknown>;
    getFloatingProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    getItemProps: (userProps?: React.HTMLProps<HTMLElement>) => Record<string, unknown>;
    open: boolean;
    setOpen: React.Dispatch<React.SetStateAction<boolean>>;
};
export declare function Tooltip({ children, ...options }: {
    children: React.ReactNode;
} & TooltipOptions): import("@emotion/react/jsx-runtime").JSX.Element;
export declare const TooltipTrigger: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLElement> & {
    asChild?: boolean;
}, "ref"> & React.RefAttributes<HTMLElement>>;
export declare const TooltipContent: React.ForwardRefExoticComponent<Omit<React.HTMLProps<HTMLDivElement>, "ref"> & React.RefAttributes<HTMLDivElement>>;
export {};
